.TH LPSTAT 1 2006-12-30 "LPRng" "lpstat command"
.SH NAME
lpstat \- compatibility program to get information about printers
.SH SYNOPSIS
.B lpstat
.RB [ \-A ]
.RB [ \-d ]
.RB [ \-l ]
.RB [ \-r ]
.RB [ \-R ]
.RB [ \-s ]
.RB [ \-t ]
.RB [ \-a [\fIlist\fP]]
.RB [ \-c [\fIlist\fP]]
.RB [ \-f [\fIlist\fP]]
.RB [ \-o [\fIlist\fP]]
.RB [ \-p [\fIlist\fP]]
.RB [ \-P ]
.RB [ \-S [\fIlist\fP]]
.RI [ list ]
.RB [ \-u [\fIlogin-ID-list\fP]]
.RB [ \-v [\fIlist\fP]]
.RB [ \-V ]
.RB [ \-n ]
.RB [ \-T\fIdbgflags\fP]
.SH DESCRIPTION
.B lpstat
is a (partial) simulation for the Solaris SystemV R4 print facilities.
Please use
.B lpq
instead.

.SH OPTIONS
.I list
is a list of print queue names
.TP
.B \-A
use authentication specified by AUTH environment variable
.TP
.BR \-a [ \fIlist\fP ]
destination status
.TP
.BR \-c [ \fIlist\fP ]
class status
.TP
.B \-d
print default destination
.TP
.BR \-f [ \fIlist\fP ]
forms status
.TP
.BR \-o [ \fIlist\fP ]
job or printer status
.TP
.B \-n
each -n increases number of status lines (default 1)
.TP
.B \-N
maximum number of status lines
.TP
.BR \-p [ \fIlist\fP ]
printer status
.TP
.B \-P
paper types - ignored
.TP
.B \-r
scheduler status
.TP
.B \-s
summary status information - short format
.TP
.BR \-S [ \fIlist\fP ]
character set - ignored
.TP
.B \-t
all status information - long format
.TP
.BR \-u [ \fIjoblist\fP ]
job status information
.TP
.BR \-v [ \fIlist\fP ]
printer mapping
.TP
.B \-V
verbose mode
.TP
.BI \-T dbgflags
debug flags

.TP
.BR -a ", " -c ", " -f ", " -o ", " -n ", " -N " and " -p "
produce a long status format.
.SH "SEE ALSO"
.BR lpd.conf (5),
.BR lpc (8),
.BR lpd (8),
.BR checkpc (8),
.BR lpq (1),
.BR lprm (1),
.BR checkpc (8),
.BR printcap (5),
.BR lpd.perms (5),
.BR pr (1).
.SH "AUTHOR"
LPRng was written by Patrick Powell <papowell@lprng.com>.
.SH "HISTORY"
LPRng is a enhanced printer spooler system
with functionality similar to the Berkeley LPR software.
The LPRng developer mailing list is lprng-devel@lists.sourceforge.net;
subscribe by visiting
.B https://lists.sourceforge.net/lists/listinfo/lprng-devel
or sending mail to
.B lprng-request@lists.sourceforge.net
with
the word
.I subscribe
in the body.
.br
The software is available via
.B http://lprng.sourceforge.net
.\" This manpage is written by Bernhard R. Link <brlink@debian.org>
.\" and available under GNU GPL v2 and any license LPRng is available under.
.\" The descriptions are extracted from lpstat.c from Patrick Powell <papowell@lprng.com>
